Skip to main content
GET
Get install details

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required

Install ID

Required string length: 1 - 55
Example:

"inst_j572abc123def456"

Response

Install details

id
string
required
Required string length: 1 - 55
html_url
string<uri>
required

Absolute dashboard URL for this resource. OUTPUT_ONLY.

Maximum string length: 2048
Example:

"https://akua.dev/installs/inst_j572abc123def456"

workspace_id
string
required
Required string length: 1 - 53
customer_workspace
object
required
cluster_id
string
required
Required string length: 1 - 54
package_version_id
string
required
Required string length: 1 - 55
state
enum<string>
required

Install lifecycle state from the control plane perspective.

Available options:
pending,
rendering,
syncing,
healthy,
degraded,
failed,
deleted
reconciling
boolean
required
urls
object[]
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required
product_id
string

Product ID for product-based installations. Omitted for direct installations.

Required string length: 1 - 55
demo_cleanup
object

Visible cleanup state for non-billable demo installs. Temporal workflow IDs and internal cleanup evidence are intentionally omitted.